Liblinphone: Wrapper

Liblinphone 5.2.0

Functions
Wrapper

Wrapper utilities. More...

## Functions
const bctbx_list_t * | linphone_account_get_callbacks_list (const LinphoneAccount *account)
| Gets the list of listener in the account.
void | linphone_account_set_current_callbacks (LinphoneAccount *account, LinphoneAccountCbs *cbs)
| Sets the current LinphoneAccountCbs.
bctbx_list_t * | linphone_core_get_callbacks_list (const LinphoneCore *core)
| Gets the list of listener in the core.
const bctbx_list_t * | linphone_call_get_callbacks_list (const LinphoneCall *call)
| Gets the list of listener in the call.
const bctbx_list_t * | linphone_chat_room_get_callbacks_list (const LinphoneChatRoom *chat_room)
| Gets the list of listener in the chat room.
const bctbx_list_t * | linphone_conference_get_callbacks_list (const LinphoneConference *conference)
| Gets the list of listener in the conference.
const bctbx_list_t * | linphone_participant_device_get_callbacks_list (const LinphoneParticipantDevice *participant_device)
| Gets the list of listener in the participant device.
void | linphone_participant_device_set_current_callbacks (LinphoneParticipantDevice *participant_device, LinphoneParticipantDeviceCbs *cbs)
| Sets the current LinphoneParticipantDeviceCbs.
void | linphone_chat_room_set_current_callbacks (LinphoneChatRoom *chat_room, LinphoneChatRoomCbs *cbs)
| Sets the current LinphoneChatRoomCbs.
const bctbx_list_t * | linphone_chat_message_get_callbacks_list (const LinphoneChatMessage *message)
| Gets the list of listener in the chat mesasge.
void | linphone_chat_message_set_current_callbacks (LinphoneChatMessage *message, LinphoneChatMessageCbs *cbs)
| Sets the current LinphoneChatMessageCbs.
const bctbx_list_t * | linphone_conference_scheduler_get_callbacks_list (const LinphoneConferenceScheduler *conference_scheduler)
| Gets the list of listener in the account.
void | linphone_conference_scheduler_set_current_callbacks (LinphoneConferenceScheduler *conference_scheduler, LinphoneConferenceSchedulerCbs *cbs)
| Sets the current LinphoneConferenceSchedulerCbs.
void * | linphone_vcard_get_belcard (LinphoneVcard *vcard)
| Accessor for the shared_ptr<BelCard> stored by a LinphoneVcard.
void | linphone_chat_room_allow_multipart (LinphoneChatRoom *room)
| Allow multipart on a basic chat room .
void | linphone_chat_room_allow_cpim (LinphoneChatRoom *room)
| Allow cpim on a basic chat room .
const bctbx_list_t * | linphone_magic_search_get_callbacks_list (const LinphoneMagicSearch *magic_search)
| Gets the list of listeners from a LinphoneMagicSearch.
MS2_DEPRECATED void | linphone_chat_room_send_chat_message_2 (LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Send a message to peer member of this chat room.
MS2_DEPRECATED void | linphone_chat_message_resend_2 (LinphoneChatMessage *message)
| Resend a chat message if it is in the 'not delivered' state for whatever reason.

## Detailed Description

Wrapper utilities.

These functions are used by automatic API wrapper generators and should not be used by C API users.

## Function Documentation

## ◆ linphone_account_get_callbacks_list()

const bctbx_list_t * linphone_account_get_callbacks_list | ( | const LinphoneAccount * | account | ) |

Gets the list of listener in the account.

Parameters

  account | LinphoneAccount object.

Returns
  The list of LinphoneAccountCbs.

## ◆ linphone_account_set_current_callbacks()

void linphone_account_set_current_callbacks | ( | LinphoneAccount * | account,
|  | LinphoneAccountCbs * | cbs
| ) |  |

Sets the current LinphoneAccountCbs.

Parameters

  account | LinphoneAccount object.
  cbs | The LinphoneAccountCbs object.

## ◆ linphone_call_get_callbacks_list()

const bctbx_list_t * linphone_call_get_callbacks_list | ( | const LinphoneCall * | call | ) |

Gets the list of listener in the call.

Parameters

  call | LinphoneCall object.

Returns
  The list of LinphoneCallCbs.

## ◆ linphone_chat_message_get_callbacks_list()

const bctbx_list_t * linphone_chat_message_get_callbacks_list | ( | const LinphoneChatMessage * | message | ) |

Gets the list of listener in the chat mesasge.

Parameters

  message | LinphoneChatMessage object.

Returns
  The list of LinphoneChatMessageCbs.

## ◆ linphone_chat_message_resend_2()

MS2_DEPRECATED void linphone_chat_message_resend_2 | ( | LinphoneChatMessage * | message | ) |

Resend a chat message if it is in the 'not delivered' state for whatever reason.

Note
  Unlike linphone_chat_message_resend(), that function only takes a reference on the LinphoneChatMessage instead of totaly takes ownership on it. Thus, the LinphoneChatMessage object must be released by the API user after calling that function.

Parameters

  message | LinphoneChatMessage object

Deprecated:
  08/07/2020 Use linphone_chat_message_send instead. It doesn't says what the doc says it does

## ◆ linphone_chat_message_set_current_callbacks()

void linphone_chat_message_set_current_callbacks | ( | LinphoneChatMessage * | message,
|  | LinphoneChatMessageCbs * | cbs
| ) |  |

Sets the current LinphoneChatMessageCbs.

Parameters

  message | LinphoneChatMessage object
  cbs | LinphoneChatMessageCbs object

## ◆ linphone_chat_room_get_callbacks_list()

const bctbx_list_t * linphone_chat_room_get_callbacks_list | ( | const LinphoneChatRoom * | chat_room | ) |

Gets the list of listener in the chat room.

Parameters

  chat_room | LinphoneChatRoom object.

Returns
  The list of LinphoneChatRoomCbs.

## ◆ linphone_chat_room_send_chat_message_2()

MS2_DEPRECATED void linphone_chat_room_send_chat_message_2 | ( | LinphoneChatRoom * | chat_room,
|  | LinphoneChatMessage * | message
| ) |  |

Send a message to peer member of this chat room.

The state of the sending message will be notified via the callbacks defined in the LinphoneChatMessageCbs object that can be obtained by calling linphone_chat_message_get_callbacks().

Note
  Unlike linphone_chat_room_send_chat_message(), that function only takes a reference on the LinphoneChatMessage instead of totaly takes ownership on it. Thus, the LinphoneChatMessage object must be released by the API user after calling that function.

Parameters

  chat_room | A chat room.
  message | The message to send.

Deprecated:
  08/07/2020 Use linphone_chat_message_send() instead. It doesn't says what the doc says it does

## ◆ linphone_chat_room_set_current_callbacks()

void linphone_chat_room_set_current_callbacks | ( | LinphoneChatRoom * | chat_room,
|  | LinphoneChatRoomCbs * | cbs
| ) |  |

Sets the current LinphoneChatRoomCbs.

Parameters

  chat_room | LinphoneChatRoom object
  cbs | LinphoneChatRoomCbs object

## ◆ linphone_conference_get_callbacks_list()

const bctbx_list_t * linphone_conference_get_callbacks_list | ( | const LinphoneConference * | conference | ) |

Gets the list of listener in the conference.

Parameters

  [in] | conference | LinphoneConference object

Returns
  The attached listeners.

## ◆ linphone_conference_scheduler_get_callbacks_list()

const bctbx_list_t * linphone_conference_scheduler_get_callbacks_list | ( | const LinphoneConferenceScheduler * | conference_scheduler | ) |

Gets the list of listener in the account.

Parameters

  account | LinphoneConferenceScheduler object.

Returns
  The list of LinphoneConferenceSchedulerCbs.

## ◆ linphone_conference_scheduler_set_current_callbacks()

void linphone_conference_scheduler_set_current_callbacks | ( | LinphoneConferenceScheduler * | conference_scheduler,
|  | LinphoneConferenceSchedulerCbs * | cbs
| ) |  |

Sets the current LinphoneConferenceSchedulerCbs.

Parameters

  account | LinphoneConferenceScheduler object.
  cbs | The LinphoneConferenceSchedulerCbs object.

## ◆ linphone_core_get_callbacks_list()

bctbx_list_t * linphone_core_get_callbacks_list | ( | const LinphoneCore * | core | ) |

Gets the list of listener in the core.

Parameters

  core | The LinphoneCore.

Returns
  The list of LinphoneCoreCbs.

## ◆ linphone_magic_search_get_callbacks_list()

const bctbx_list_t * linphone_magic_search_get_callbacks_list | ( | const LinphoneMagicSearch * | magic_search | ) |

Gets the list of listeners from a LinphoneMagicSearch.

Parameters

  magic_search | LinphoneMagicSearch object.

Returns
  The list of listeners that have been added.

## ◆ linphone_participant_device_get_callbacks_list()

const bctbx_list_t * linphone_participant_device_get_callbacks_list | ( | const LinphoneParticipantDevice * | participant_device | ) |

Gets the list of listener in the participant device.

Parameters

  [in] | participant_device | LinphoneParticipantDevice object

Returns
  The attached listeners.

## ◆ linphone_participant_device_set_current_callbacks()

void linphone_participant_device_set_current_callbacks | ( | LinphoneParticipantDevice * | participant_device,
|  | LinphoneParticipantDeviceCbs * | cbs
| ) |  |

Sets the current LinphoneParticipantDeviceCbs.

Parameters

  participant_device | LinphoneParticipantDevice object.
  cbs | The LinphoneParticipantDeviceCbs object.

## ◆ linphone_vcard_get_belcard()

void * linphone_vcard_get_belcard | ( | LinphoneVcard * | vcard | ) |

Accessor for the shared_ptr<BelCard> stored by a LinphoneVcard.

Parameters

  vcard | a LinphoneVcard

Returns
  a shared_ptr<BelCard>